# Class LinkPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
java.nio.file.LinkPermission

All Implemented Interfaces:
  `Serializable, Guard`

@Deprecated(since="25", forRemoval=true) public final class LinkPermission extends BasicPermission
Deprecated, for removal: This API element is subject to removal in a future version.
This permission cannot be used for controlling access to resources as the Security Manager is no longer supported.
The `Permission` class for link creation operations.

Since:
  1.7
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LinkPermission(String name)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a `LinkPermission` with the specified name.
`LinkPermission(String name, String actions)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a `LinkPermission` with the specified name.

## Method Summary

### Methods declared in class BasicPermission

`equals, getActions, hashCode, implies, newPermissionCollection`
Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Checks two `BasicPermission` objects for equality.
`String`
`getActions()`
Returns the canonical string representation of the actions, which currently is the empty string "", since there are no actions for a `BasicPermission`.
`int`
`hashCode()`
Returns the hash code value for this object.
`boolean`
`implies(Permission p)`
Checks if the specified permission is "implied" by this object.
`PermissionCollection`
`newPermissionCollection()`
Returns a new `PermissionCollection` object for storing `BasicPermission` objects.

### Methods declared in class Permission

`checkGuard, getName, toString`
Modifier and Type
Method
Description
`void`
`checkGuard(Object object)`
Implements the guard interface for a permission.
`final String`
`getName()`
Returns the name of this `Permission`.
`String`
`toString()`
Returns a string describing this `Permission`.

### Methods declared in class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### LinkPermission

public LinkPermission(String name)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a `LinkPermission` with the specified name.

Parameters:
  `name` - the name of the permission. It must be "hard" or "symbolic".
Throws:
  `IllegalArgumentException` - if name is empty or invalid

### LinkPermission

public LinkPermission(String name, String actions)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a `LinkPermission` with the specified name.

Parameters:
  `name` - the name of the permission; must be "hard" or "symbolic".
  `actions` - the actions for the permission; must be the empty string or `null`
Throws:
  `IllegalArgumentException` - if name is empty or invalid, or actions is a non-empty string